Name:           cockpit-certificates
Version:        1
Release:        1.20240523022932860692.pr325.336.gf1587ab%{?dist}
Summary:        Cockpit user interface for certificates
License:        LGPL-2.1-or-later AND MIT
URL:            https://github.com/cockpit-project/cockpit-certificates

Source0:        cockpit-certificates-1.336.gf1587ab.tar.xz
Source1:        cockpit-certificates-node-1.336.gf1587ab.tar.xz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch
BuildRequires: nodejs
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires: gettext
%if 0%{?rhel} && 0%{?rhel} <= 8
BuildRequires: libappstream-glib-devel
%endif

Requires: cockpit-bridge
Requires: certmonger

Provides: bundled(nodejs-object-assign) = 4.1.1
Provides: bundled(nodejs-react-dom) = 16.14.0
Provides: bundled(nodejs-react) = 16.14.0

%description
Cockpit component for managing certificates with certmonger.

%prep
%autosetup -n cockpit-certificates -a 1
# ignore pre-built bundle in release tarball and rebuild it
rm -rf dist

%build
NODE_ENV=production make

%install
%make_install

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

# The changelog is automatically generated and merged
%changelog
* Thu May 23 2024 Packit <hello@packit.dev> - 1-1.20240523022932860692.pr325.336.gf1587ab
- Makefile: Update Cockpit lib to 6bf8d112f5fe7cae9614cb5a1c586e33 (Cockpit Project)
- Makefile: Update Cockpit lib to 2e968f9835a7d18132df1d6c0bda5715 (Cockpit Project)
- dependabot: Disable (Martin Pitt)
- dependabot: Dial down to weekly (Martin Pitt)
- Makefile: Update Cockpit lib to 46fe9f5ff45aff4e807dd24340466b69 (Cockpit Project)
- build(deps-dev): bump sass from 1.76.0 to 1.77.0 (dependabot[bot])
- build(deps-dev): bump stylelint in the stylelint group (dependabot[bot])
- build(deps): bump the patternfly group with 6 updates (dependabot[bot])
- build(deps-dev): bump sass from 1.75.0 to 1.76.0 (dependabot[bot])
- Makefile: Update Cockpit lib to 03d7067e47bd6bea6dde7025bfd52ce0 (Cockpit Project)
- cockpit-ci: Update container to 2024-04-25 (Cockpit Project)
- dependabot: Group React and types packages (Martin Pitt)
- build(deps): bump react-dom from 18.2.0 to 18.3.1 (dependabot[bot])
- build(deps): bump react from 18.3.0 to 18.3.1 (dependabot[bot])
- build(deps-dev): bump eslint-plugin-react-hooks in the eslint group (dependabot[bot])
- build(deps-dev): bump eslint-plugin-react-hooks (dependabot[bot])
- build(deps): bump react from 18.2.0 to 18.3.0 (dependabot[bot])
- build(deps): bump the patternfly group with 3 updates (dependabot[bot])
- Makefile: Update Cockpit lib to 9d30e976afe210c159b00a4b1a4c7249 (Cockpit Project)
- build(deps-dev): bump stylelint in the stylelint group (dependabot[bot])
- eslint: enable no-useless-fragment rule by default (Jelle van der Waa)
- test: enable ruff preview rules (Jelle van der Waa)
- build(deps): bump the patternfly group with 6 updates (dependabot[bot])
- Makefile: Update Cockpit lib to 5516784bc7aba7c6fb02d19c57afc4de (Cockpit Project)
- cockpit-ci: Update container to 2024-04-08 (Cockpit Project)
- build(deps-dev): bump sass from 1.74.1 to 1.75.0 (dependabot[bot])
- Makefile: Update Cockpit lib to 3ec539a4e0f78dab6ef77f88aa717d4d (Cockpit Project)
- cockpit-ci: Update container to 2024-04-06 (Cockpit Project)
- build(deps-dev): bump sass from 1.72.0 to 1.74.1 (dependabot[bot])
- Makefile: Update Cockpit lib to 4c4356e4ddbd9e716b5f364a5c4fed74 (Cockpit Project)
- build(deps-dev): bump the stylelint group with 1 update (dependabot[bot])
- workflows: Run tasks-container-update.yml in quay.io/cockpit/tasks (Martin Pitt)
- workflows: Fix safe directory path in tasks-container-update.yml (Martin Pitt)
- Makefile: Update Cockpit lib to f2cc9e1a360e69dc55b8f9f26f367eb4 (Cockpit Project)
- build(deps-dev): bump the stylelint group with 1 update (dependabot[bot])
- Stop using the jQuery like promise api (Jelle van der Waa)
- workflows: add tasks-container-update workflow (Martin Pitt)
- build(deps-dev): bump the stylelint group with 1 update (dependabot[bot])
- Makefile: Update Cockpit lib to 5ff98a2117e2815f7560e31d67bb1be6 (Cockpit Project)
- build(deps): bump the patternfly group with 2 updates (dependabot[bot])
- build(deps-dev): bump the eslint group with 1 update (dependabot[bot])
- test/browser: run tests inside the tasks container (Allison Karlitskaya)
- .cockpit-ci: add container file and run symlink (Allison Karlitskaya)
- build(deps-dev): bump the esbuild group with 2 updates (dependabot[bot])
- Makefile: Update Cockpit lib to 4f224656598382176c010352bdb28911 (Cockpit Project)
- build(deps): bump the patternfly group with 2 updates (dependabot[bot])
- build(deps-dev): bump sass from 1.71.1 to 1.72.0 (dependabot[bot])
- build(deps-dev): bump the esbuild group with 1 update (dependabot[bot])
- Use Cockpit's dropdown kebab (Jelle van der Waa)
- lint: Ignore test functions in vulture (Martin Pitt)
- README.md: npm-update → dependabot (Martin Pitt)
- Makefile: Update Cockpit lib to 50fc1b962eeefefc9926ece8e4891477 (Cockpit Project)
- build(deps-dev): bump the eslint group with 1 update (dependabot[bot])
- build(deps): bump the patternfly group with 6 updates (dependabot[bot])
- Makefile: Update Cockpit lib to 770eddc7fcb56c06e4a514755f04156b (Cockpit Project)
- build(deps-dev): bump the eslint group with 1 update (dependabot[bot])
- build(deps-dev): bump the esbuild group with 3 updates (dependabot[bot])
- Makefile: Update Cockpit lib to d8c2edc8a2e611f4b65285434bad0f08 (Cockpit Project)
- build(deps-dev): bump sass from 1.71.0 to 1.71.1 (dependabot[bot])
- build(deps-dev): bump sass from 1.70.0 to 1.71.0 (dependabot[bot])
- Makefile: Update Cockpit lib to 2aebbbf2cc0302f21287bd278f5a3161 (Cockpit Project)
- build(deps-dev): bump gettext-parser from 7.0.1 to 8.0.0 (dependabot[bot])
- build(deps): bump the patternfly group with 6 updates (dependabot[bot])
- build(deps): bump actions/checkout from 3 to 4 (dependabot[bot])
- github: allow dependabot to update github workflow actions (Jelle van der Waa)
- Move default TEST_OS to fedora-39 (Martin Pitt)
- Move eslint to static-code tests, introduce stylelint (Martin Pitt)
- Use Cockpit's shared static code checks (Martin Pitt)
- po: Drop long-obsolete po2json and po.empty.json (Martin Pitt)
- pyproject: adjust to new ruff settings layout (Allison Karlitskaya)
- flake8: Add config (Martin Pitt)
- Makefile: Update Cockpit lib to fca64d4b989ceadabbfda311b971a414 (Cockpit Project)
- Makefile: Update Cockpit lib to 190e121e99afbd7f4cfe7850f7d9028e (Cockpit Project)
- build(deps-dev): bump the esbuild group with 2 updates (dependabot[bot])
- build(deps-dev): bump sass from 1.69.7 to 1.70.0 (dependabot[bot])
- Makefile: Update Cockpit lib to e2f3e9eb7c3635e7ac3ddf751c6bb3ff (Cockpit Project)
- Makefile: Update Cockpit lib to 8fb879870c889ba7da202cc7b077006a (Cockpit Project)
- Makefile: Update Cockpit lib to cf2485d79da7fb9be262eaa4ca5ef91e (Cockpit Project)
- build(deps-dev): bump sass from 1.69.6 to 1.69.7 (dependabot[bot])
- Makefile: Update Cockpit lib to ea9a84d8a387a094402a15cfe657e699 (Cockpit Project)
- build(deps-dev): bump sass from 1.69.5 to 1.69.6 (dependabot[bot])
- build(deps-dev): bump the esbuild group with 2 updates (dependabot[bot])
- build(deps-dev): bump the esbuild group with 3 updates (dependabot[bot])
- build(deps-dev): bump the eslint group with 1 update (dependabot[bot])
- build(deps-dev): bump the eslint group with 1 update (dependabot[bot])
- build(deps-dev): bump the stylelint group with 1 update (dependabot[bot])
- build(deps-dev): bump the esbuild group with 2 updates (dependabot[bot])
- Makefile: Update Cockpit lib to 05fc2d8f0670c3d53375b52065ace5f3 (Cockpit Project)
- build(deps): bump the patternfly group with 5 updates (dependabot[bot])
- build(deps-dev): bump the eslint group with 1 update (dependabot[bot])
- Makefile: Update Cockpit lib to de7ab98dc9aee629f5108c697d6dfffc (Cockpit Project)
- build(deps-dev): bump the esbuild group with 2 updates (dependabot[bot])
- Makefile: Update Cockpit lib to 82952585929e8ecec53d9debf1f14b0c (Cockpit Project)
- build(deps-dev): bump the esbuild group with 2 updates (dependabot[bot])
- build(deps-dev): bump the eslint group with 1 update (dependabot[bot])
- Makefile: Update Cockpit lib to 9da922928c1b1ea8489e12ba5ba6ecfd (Cockpit Project)
- build(deps): bump deep-equal from 2.2.2 to 2.2.3 (dependabot[bot])
- Makefile: Update Cockpit lib to 5ec1a3ad4c1b544c9935b680333b07d5 (Cockpit Project)
- Correctly pass certificate changes to setState (Jelle van der Waa)
- build(deps-dev): bump the eslint group with 1 update (dependabot[bot])
- build(deps-dev): bump the eslint group with 1 update (dependabot[bot])
- Makefile: Update Cockpit lib to 228c5e4cef8d2c6b22123542b4931f97 (Cockpit Project)
- build(deps-dev): bump sass from 1.69.4 to 1.69.5 (dependabot[bot])
- Makefile: Update Cockpit lib to 118d89a84afdccda8d799579b68fee28 (Cockpit Project)
- build(deps-dev): bump the eslint group with 2 updates (dependabot[bot])
- Makefile: Update Cockpit lib to 5ac51ecd0d5c4739d0478bee88efb8fb (Cockpit Project)
- build(deps-dev): bump sass from 1.69.3 to 1.69.4 (dependabot[bot])
- build(deps-dev): bump the esbuild group with 2 updates (dependabot[bot])
- build(deps-dev): bump sass from 1.69.2 to 1.69.3 (dependabot[bot])
- Makefile: Update Cockpit lib to 953a6eeb9be2b6cd1c5c95fce7c0db19 (Cockpit Project)
- dependabot: Run in our evenings, reduce limit (Martin Pitt)
- build(deps-dev): bump sass from 1.69.1 to 1.69.2 (dependabot[bot])
- build(deps): bump the patternfly group with 6 updates (dependabot[bot])
- build(deps-dev): bump sass from 1.69.0 to 1.69.1 (dependabot[bot])
- build(deps-dev): bump the eslint group with 1 update (dependabot[bot])
- build(deps-dev): bump sass from 1.68.0 to 1.69.0 (dependabot[bot])
- Makefile: Update Cockpit lib to da4d19f5740b71616e5cecb74d270c42 (Cockpit Project)
- package.json: drop cssnano-preset-lite (Jelle van der Waa)
- package.json: drop flowtype plugin (Jelle van der Waa)
- build(deps-dev): bump the esbuild group with 1 update (dependabot[bot])
- build(deps-dev): bump the esbuild group with 2 updates (dependabot[bot])
- build(deps): bump deep-equal from 2.0.5 to 2.2.2 (dependabot[bot])
- package.json: Drop obsolete webpack plugins (Martin Pitt)
- build(deps-dev): bump sass from 1.62.0 to 1.68.0 (dependabot[bot])
- build(deps-dev): bump chrome-remote-interface from 0.32.1 to 0.33.0 (dependabot[bot])
- build(deps-dev): bump null-loader from 4.0.0 to 4.0.1 (dependabot[bot])
- build(deps-dev): bump the eslint group with 1 update (dependabot[bot])
- build(deps-dev): bump sizzle from 2.3.5 to 2.3.10 (dependabot[bot])
- build(deps-dev): bump the esbuild group with 3 updates (dependabot[bot])
- build(deps-dev): bump the eslint group with 5 updates (dependabot[bot])
- build(deps-dev): bump the stylelint group with 1 update (dependabot[bot])
- build(deps): bump throttle-debounce from 2.3.0 to 5.0.0 (dependabot[bot])
- build(deps-dev): bump cssnano-preset-lite from 2.0.1 to 3.0.0 (dependabot[bot])
- package.json: Pin down devDependencies (Martin Pitt)
- github: replace npm-update workflow with dependabot (Katerina Koukiou)
- test: Fix overly long lines (Martin Pitt)
- test: Rename "open()" methods (Martin Pitt)
- test: Convert .format() and % to f-strings (Martin Pitt)
- test: Drop unused format() argument (Martin Pitt)
- test: Initial code style fixes (Martin Pitt)
- pyproject.toml: Add ruff configuration (Martin Pitt)
- test: Use restore_dir() with restart_unit= (Martin Pitt)
- Makefile: Update Cockpit lib to ce07ea7372c63cefdb81954044e4477d (Cockpit Project)
- Makefile: Update Cockpit lib to 9c73bec7e1dc2395a00aa0c510fd7210 (Cockpit Project)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table, @patternfly/react-tokens (Cockpit Project)
- Makefile: Update Cockpit lib to 280d74e6fb6efd0f46224f273caf2854 (Cockpit Project)
- Makefile: Update Cockpit lib to 9a2a4d94269561ad6fce5501eece6d84 (Cockpit Project)
- test: make all tests non-destructive (Jelle van der Waa)
- test: Use magic shebang (Jelle van der Waa)
- fmf: Plumb through $TEST_* variables for unexpected messages (Martin Pitt)
- fmf: Drop obsolete standard-test-source support (Martin Pitt)
- Makefile: Update Cockpit lib to 47bc4c586a15da553223a0a87f5a09ce (Cockpit Project)
- Support dark theme (Jelle van der Waa)
- Makefile: Update Cockpit lib to 2838422bbada17686c77e5f3be0fb604 (Cockpit Project)
- package.json: bump esbuild version to 0.19.1 (Tomas Matus)
- build.js: support flags (Tomas Matus)
- Makefile: Update Cockpit lib to 4133eb93dc20f00db996d1fefdd5fcbf (Cockpit Project)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table, @patternfly/react-tokens (Cockpit Project)
- packaging: Update spec License: to SPDX format (Martin Pitt)
- Makefile: Update Cockpit lib to 4693a536e3262d3254d848daed251ef3 (Cockpit Project)
- Makefile: Update Cockpit lib to 1336ce350d88d385870ba56405136df7 (Cockpit Project)
- Makefile: Update Cockpit lib to 6e0e545679bad03beb29c5526e2f4fe5 (Cockpit Project)
- Makefile: Update Cockpit lib to 3d2d07cb751b141b6bd6ee9a3d423081 (Cockpit Project)
- package.json: Bump esbuild and esbuild-sass-plugin (Martin Pitt)
- Makefile: Update Cockpit lib to 393f9888a5727cbb06bcb70175e82064 (Cockpit Project)
- Makefile: Update Cockpit lib to 536834c40ad3e2390a52fb87583f0730 (Cockpit Project)
- .gitignore: add bots (Jelle van der Waa)
- Makefile: Cockpit moved make-bots, git-utils.sh to test/common (Jelle van der Waa)
- Makefile: Update Cockpit lib to efcf647c8580388d907af512c6c4727c (Cockpit Project)
- Upgrade to Patternfly v5 alpha (Subho)
- cockpituous-release: Drop (Martin Pitt)
- metainfo: Fix launchable name (Martin Pitt)
- README: fix manual symlink remove (Subho)
- Upgrade to react 18 (Subho)
- Update shared cockpit files for Chromium 113 fix (Martin Pitt)
- Makefile: Update Cockpit lib to 269bf89276c679a03befc8a04244addd (Cockpit Project)
- workflows: Explicitly set minimal token permissions (Martin Pitt)
- workflows: Run on ubuntu-latest (Martin Pitt)
- Add missing build job(s) to Packit config (Laura Barcziová)
- Move from webpack to esbuild bundler (Subho)
- packit: Move to nodejs-npm SRPM dependency (Martin Pitt)
- .github: add Cockpit library update action (Jelle van der Waa)
- Revert "spec: Fix BuildRequires: to nodejs-devel" (Subho)
- Update to eslint 8 (Subho)
- node_modules: update chrome-remote-interface for chromium 111 (Subho)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-table (Cockpit Project)
- build: use `pip wheel` to get cockpit wheel (Allison Karlitskaya)
- test: Account for leap years (Simon Kobyda)
- package.json: Update @patternfly/react-table (Cockpit Project)
- Use whole path in patternfly imports (Katerina Koukiou)
- Generalize bundler language/variable names (Martin Pitt)
- build: Move to a webpack module (Martin Pitt)
- Makefile: bump Cockpit test lib for loginctl kill-session failure (Jelle van der Waa)
- package.json: Update @patternfly/react-core, @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table (Cockpit Project)
- Makefile: build certificates offline (Jelle van der Waa)
- test: export TEST_BROWSER for the Firefox scenario (Jelle van der Waa)
- build: add support for /pybridge scenario (Allison Karlitskaya)
- Makefile: build cockpit-certificates inside the virtual machine (Jelle van der Waa)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table (Cockpit Project)
- package.json: Update @patternfly/react-icons, @patternfly/react-styles (Cockpit Project)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-table (Cockpit Project)
- package.json: Update @patternfly/react-core, @patternfly/react-table (Cockpit Project)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-table (Cockpit Project)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-table (Cockpit Project)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-table (Cockpit Project)
- Makefile: Drop redundant cockpit-ws installation (Martin Pitt)
- test: Drop obsolete Fedora 34 special case (Martin Pitt)
- Move default TEST_OS to fedora-37 (Martin Pitt)
- Bump shared cockpit code to 280 (Martin Pitt)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table (Cockpit Project)
- Bump chrome-remote-interface for modern nodejs (Jelle van der Waa)
- Makefile: Adjust to changed rpmspec -q behaviour (Jelle van der Waa)
- Bump cockpit test lib to 278 (Jelle van der Waa)
- Fix misplaced hasNoPaddingTop property (Marius Vollmer)
- package.json: Pin down version of argparse (github-actions[bot])
- README: mention devel-install & devel-uninstall (Pino Toscano)
- Makefile: add convenience 'devel-uninstall' target (Pino Toscano)
- Makefile: add convenience 'print-vm' target (Pino Toscano)
- Makefile: Stop disting git-utils.sh twice (Martin Pitt)
- Makefile: Some noise cleanup (Martin Pitt)
- build: use translation tools from pkg/lib (Martin Pitt)
- Makefile: Drop update-po rule (Martin Pitt)
- Makefile: simplify cockpit repo checkout code (Martin Pitt)
- build: don't move pkg/lib/ to src/lib/ (Martin Pitt)
- Makefile: set reproducible args for tar (Pino Toscano)
- po: ignore js/jsx/html files under src/lib (Pino Toscano)
- Quiesce mock (Martin Pitt)
- packit.yaml: drop deprecated metadata key (Jelle van der Waa)
- Bump Cockpit API to include Python 3.11 compatibility fix (Jelle van der Waa)
- Fix #97 (Laurenz Kruty)
- package.json: Update @patternfly/react-core, @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table (Cockpit Project)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table (Cockpit Project)
- spec: move AppStream validation to %check (Pino Toscano)
- spec: use %autosetup (Pino Toscano)
- spec: use nodejs-devel only on Fedora (Pino Toscano)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table (Cockpit Project)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table (Cockpit Project)
- test: Bump Cockpit test API to 267, use --track-naughties option (Martin Pitt)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table (Cockpit Project)
- workflows: Split npm-update to PF and non PF tasks (Matej Marusak)
- Bump default $TEST_OS to fedora-35 (Martin Pitt)
- Move spec file into packaging/ (Martin Pitt)
- Makefile: factorize AppStream filename in own variable (Pino Toscano)
- po: merge translations for metainfo file (Pino Toscano)
- po: extract messages also for metainfo files (Pino Toscano)
- po: do not hardcode the domain name (Pino Toscano)
- po: Pick up also strings with specified context (Martin Pitt)
- packit: build SRPM in Copr (Tomas Tomecek)
- Drop obsolete Travis file (Martin Pitt)
- fmf: Don't install weak firefox dependencies (Martin Pitt)
- packit: Fix tests on CentOS 9 stream (Martin Pitt)
- eslint: Enable no-var rule (Martin Pitt)
- spec: Avoid repeating package name (Martin Pitt)
- Move to xz dist tarballs (Martin Pitt)
- Rename packit.yml to packit.yaml (Martin Pitt)
- Bump cockpit lib and test API to 264 (Martin Pitt)
- src: Reformat EmptyState for eslint-plugin-react 7.29.x (Martin Pitt)
- test: work around race condition when stopping certmonger (Jelle van der Waa)
- test: make autopep8 happy (Jelle van der Waa)
- test: allow assertion failure messages for F34 (Jelle van der Waa)
- Update tests for the new listing table implementation (Jelle van der Waa)
- Use ES6/Promise syntax (Jelle van der Waa)
- test: apply pep8 to check-application (Jelle van der Waa)
- webpack: Fail on eslint warnings (Jelle van der Waa)
- webpack: Drop unused import (Martin Pitt)
- Add ability to rsync artifacts to a remote machine (Jelle van der Waa)
- Makefile: bump cockpit lib/test to 260 (Jelle van der Waa)
- webpack: Drop obsolete md4 hash hack (Jelle van der Waa)
- packit: Test on all stable Fedoras (Martin Pitt)
- fmf: Go back to firefox distro version (Martin Pitt)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table (Cockpit Project)
- Resubmit a certificate (Simon Kobyda)
- Create a file with various helper functions (Simon Kobyda)
- Rewrite certificate actions components to use state hooks (Simon Kobyda)
- Drop obsolete Provides: from spec (Martin Pitt)
- npm: Drop moment.js (Martin Pitt)
- Drop moment from CertificateList (Martin Pitt)
- Drop dead checkExpiration() function (Martin Pitt)
- Drop moment from "Request certificate" dialog (Martin Pitt)
- npm: Drop unused svgo dependency (Martin Pitt)
- npm: Drop unused runtime dependencies (Martin Pitt)
- Change button's and dialog's titles to a sentence case (Simon Kobyda)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table (Cockpit Project)
- Add functionality to import a certificate (Simon Kobyda)
- Show DNS, Subject and principal name of a certificate (Simon Kobyda)
- Rewrite request certificate modal to use state hooks (Simon Kobyda)
- package.json: Update @patternfly/patternfly, @patternfly/react-core, @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table (Cockpit Project)
- Keep test directory up-to-date (Simon Kobyda)
- webpack: Avoid md4 hash for OpenSSL 3 compatibility (Martin Pitt)
- fmf: Dependency installation robustification (Martin Pitt)
- fmf: Update cockpit and bots references for master → main renaming (Martin Pitt)
- fmf: Only install git-core (Martin Pitt)
- fmf: Run tests with firefox (Martin Pitt)
- webpack: Use default resolve path for npm 7 compatibility (Martin Pitt)
- package.json: Update deep-equal (Cockpit Project)
- package.json: Update @patternfly/react-icons, @patternfly/react-styles, @patternfly/react-table, @patternfly/react-core, @patternfly/patternfly (Cockpit Project)
- spec: Add Provides: for bundled node_modules (Martin Pitt)
- spec: Add an empty %check section (Martin Pitt)
- spec: Clean up pre-existing dist/ in %prep (Martin Pitt)
- spec: Uncompress LICENSE (Martin Pitt)
- spec: Set ExclusiveArch: (Martin Pitt)
- spec: Fix BuildRequires: to nodejs-devel (Martin Pitt)
- Rebuild webpack during RPM build (Martin Pitt)
- Add a `make node-cache` (Martin Pitt)
- Makefile: Ship full src/lib/ in release tarballs (Martin Pitt)
- Makefile: Avoid `npm` dependency for building webpack (Martin Pitt)
- Makefile: Avoid moving node_modules/ during dist build (Martin Pitt)
- package.json: Update @patternfly/react-styles, @patternfly/react-table, @patternfly/react-icons, @patternfly/patternfly, @patternfly/react-core (Cockpit Project)
- test: Make testRequestCert non destructive (Jelle van der Waa)
- test: Add cleanups for testDbusPropertyChanged, testFileCert (Jelle van der Waa)
- test: Make testRemoveCert non destructive (Jelle van der Waa)
- test: Make testNssdbCert non destructive (Jelle van der Waa)
- test: Make testModifyAutorenewal non destructive (Jelle van der Waa)
- test: Make testWarningExpiredCert non destructive (Jelle van der Waa)
- test: Fix spelling (Jelle van der Waa)
- test: Fix 'too many arguments for format()' (Jelle van der Waa)
- test: Fix some Python linter warnings (Jelle van der Waa)
- test: Mark testEmptyState and testNoCertificates nondestructive (Jelle van der Waa)
- Close dialog when certificate is removed (Jelle van der Waa)
- Handle race condition in testRequestCert (Jelle van der Waa)
- Makefile: change default TEST_OS to fedora-34 (Jelle van der Waa)
- Update npm packages (Jelle van der Waa)
- Update cockpit test and lib checkouts (Jelle van der Waa)
- package.json: remove unused react modules (Jelle van der Waa)
- package.json: po2json → gettext-parser (Allison Karlitskaya)
- webpack: bring back sass-loader, using Dart Sass (Katerina Koukiou)
- README: Copy relevant bits from starter kit (Katerina Koukiou)
- spec: fix libappstream-glib is included twice (Katerina Koukiou)
- packit: makefile: fix version (Katerina Koukiou)
- Move to lite preset in cssnano (Katerina Koukiou)
- Update css-loader, css-minimizer-webpack-plugin to get newer cssnano (Katerina Koukiou)
- update terser-webpack-plugin (Katerina Koukiou)
- packit: Enable RPM builds and Fedora testing (Katerina Koukiou)
- Add FMF test metadata and scripts (Katerina Koukiou)
